=== debian/changelog ===
gnudatalanguage (0.9.5-6) unstable; urgency=low

  * arm64 builds fine again, so upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Dec 2015 18:06:30 +0100

gnudatalanguage (0.9.5-5) experimental; urgency=low

  [ Ole Streicher ]
  * Replace __DATE__ by d/changelog date for reproducible build.

  [ Axel Beckert ]
  * Re-enable arm64 again, restrict libeigen3-dev b-d ≥ 3.3~alpha1-3 on
    arm64 and upload to experimental for now. See #803552 for the
    background about this.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Dec 2015 15:33:28 +0100

gnudatalanguage (0.9.5-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Move gnudatalanguage under the umbrella of the Debian Astronomy Team.
    + Set Maintainer to debian-astro-maintainers@lists.alioth.debian.org
    + Move myself to Uploaders.
    + Remove Gürkan from Uploaders (with his approval).
    + Update Vcs-* headers.
  * Apply wrap-and-sort.
  * Update build-dependency from libgsl0-dev to libgsl-dev for the GSL 2.0
    transition. (Closes: #807203) Thanks Bas Couwenberg!
  * Temporarily remove arm64 from the list of architectures. (See #805532
    and #803552 for details.)

  [ Ole Streicher ]
  * Put me (olebole) to uploaders, as suggested by Axel.

 -- Axel Beckert <abe@debian.org>  Sun, 06 Dec 2015 22:11:38 +0100

gnudatalanguage (0.9.5-3) unstable; urgency=low

  * Install AUTHORS and README to /usr/share/doc/gnudatalanguage/ instead
    of /usr/share/gnudatalanguage/ as done by upstream. (Closes: #790127)

 -- Axel Beckert <abe@debian.org>  Sun, 18 Oct 2015 19:58:41 +0200

gnudatalanguage (0.9.5-2) unstable; urgency=low

  * Upload to unstable

 -- Axel Beckert <abe@debian.org>  Mon, 13 Oct 2014 14:06:22 +0200

gnudatalanguage (0.9.5-1) experimental; urgency=low

  * New upstream release
    + Drop patch wid-vs-width (obsolete)
    + Remove all autotools-related hunks from
      build-with-debian-antlr-instead-embedded-one
    + Refresh patches fix-python-libs-multiarch and fix-spelling-errors
    + Backup testsuite/launchtest.c before building instead of deleting
    + Add patch to disable tests which work fine with local X but hang
      under xvfb-run.
  * Remove patch file disable-plstrl-and-plP_mmpcx, unused since 0.9.3-1
  * Allow compilation against older versions of plplot to ease backports
  * Bump Standards-Version to 3.9.6 (no changes necessary)
  * Add DEP3 patch headers to build-with-debian-antlr-instead-embedded-one
  * Rework debian/copyright
    + Switch to machine-readable DEP5 format
    + Update copyright years
    + Order copyright owners by copyright years
    + Drop copyright listings which are no more present in upstream's code
    + Add missing copyrights

 -- Axel Beckert <abe@debian.org>  Fri, 10 Oct 2014 21:08:44 +0200

gnudatalanguage (0.9.4-3) unstable; urgency=low

  * Use continuation lines to make dh_auto_configure call more patch
    friendly.
  * Patch CMakeLists.txt to make cmake 3 find libpython with multiarch
    paths. Fixes FTBFS with cmake 3. (Closes: #762681)
  * Drop plplot_config.h workaround. Bump versioned build-dependency on
    libplplot-dev to 5.10.0+dfsg-1~ for the fix for #761176.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Sep 2014 15:57:47 +0200

gnudatalanguage (0.9.4-2) unstable; urgency=low

  * Use CMake as build system as recommended by upstream:
    + Fixes builds on kfreebsd and powerpc (Closes: #725957)
    + Enforce cmake as build system in debian/rules.
    + Remove non-cmake workarounds from debian/rules.
    + Add build-dependencies on cmake, libncurses-dev and libeigen-dev.
    + Replace build-dependency on libmagick++-dev by
      libgraphicsmagick++1-dev.
    + Remove build-dependencies on autotools-dev and dh-autoreconf.
    + Expand patch build-with-debian-antlr-instead-embedded-one to cover
      src/CMakeLists.txt.
    + Add some more leftover files to debian/clean.
    + Compile testsuite launcher manually for now.
  * Adapt for plplot 5.10
    + Add patch wid-vs-width, taken from Ubuntu.
    + Copy /usr/include/plplot/*.h to src/plplot/ and modify plConfig.h to
      no more look for the non-existing file plplot_config.h
    + Add version constraint to libplplot-dev build-dependency.
  * Switch wxwidgets build-dependency to libwxgtk3.0-dev (Closes: #751566)
  * Run test suite within a virtual framebuffer display.
    + Add build-dependency on xvfb and xauth.
  * Remove obsolete dh_installchangelog override from debian/rules.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Update Recommends to follow plplot's SONAME bump.
  * Apply wrap-and-sort -a.
  * Use chrpath to strip rpath from built gdl binary.
    + Add build-dependency on chrpath.
    + Fixes lintian warning binary-or-shlib-defines-rpath.
  * Add patch to fix spelling errors found by lintian.
  * Switch Vcs-Browser header to new cgit web interface.
  * Drop architecture checks for GRIB API. It's arch:any again.
  * Update long package description to mention the short form GDL.

 -- Axel Beckert <abe@debian.org>  Wed, 10 Sep 2014 20:50:15 +0200
