=== debian/control ===
Source: gnudatalanguage
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Ole Streicher <olebole@debian.org>
Section: interpreters
Priority: extra
Build-Depends: chrpath,
               cmake,
               debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               libantlr-dev,
               libeigen3-dev,
               libeigen3-dev (>= 3.3~alpha1-3) [arm64],
               libfftw3-dev,
               libgraphicsmagick++1-dev,
               libgrib-api-dev,
               libgsl-dev,
               libhdf4-alt-dev,
               libhdf5-dev | libhdf5-serial-dev,
               libncurses-dev,
               libnetcdf-dev,
               libplplot-dev (>= 5.10.0+dfsg-1~) | libplplot-dev (<= 5.10),
               libreadline-dev,
               libudunits2-dev,
               libwxgtk3.0-dev,
               pslib-dev,
               python-all-dev,
               python-numpy,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://gnudatalanguage.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gnudatalanguage.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/gnudatalanguage.git

Package: gnudatalanguage
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: plplot12-driver-xwin,
            python-numpy
Description: Free IDL compatible incremental compiler
 GDL is a free IDL (Interactive Data Language) compatible incremental
 compiler. It has full syntax compatibility with IDL 7.1. IDL is a
 registered trademark of ITT Visual Information Solutions.
