## gnudatalanguage 0.9.6

=== debian/changelog ===
gnudatalanguage (0.9.6-1) unstable; urgency=low

  [ Ole Streicher ]
  * New upstream release
    + drop patch reproducible_build: applied upstream
    + refresh all other patches
    + require libeigen3-dev >= 3.2.4 for building (except for arm64; see
      below)
    + fix FILE_MOVE
    + Don't save launchtest.c anymore, it was removed from the upstream
      tar ball.
  * Fix FTBFS on GNU HURD
  * Add CI tests
  * Create shared lib package
  * Create Python extension. Closes: #751718
  * Don't run test suite in parallel.

  [ Axel Beckert ]
  * Add testsuite/launchtest.c to debian/clean.
  * Remove File stanzas from debian/copyright which referred to files no
    more shipped in the new upstream release. (Multiple lintian warnings)
  * Update patch fix-spelling-errors for new misspellings found by lintian
  * debian/rules: Remove redundant occurrences of -Scmake.
  * Add lintian override for libgnudatalanguage0's no-symbols-control-file
  * Add epoch in front of python-gdl's version number. Necessary due to a
    different package of that name existed in Squeeze.
  * Finetune package descriptions (mention the phrase "GNU Data Language")

 -- Axel Beckert <abe@debian.org>  Wed, 06 Jan 2016 13:52:09 +0100
