=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper (>= 9~),
                dpkg-dev (>= 1.16.1~),
                libantlr-dev,
-               libeigen3-dev,
+               libeigen3-dev (>= 3.2.4),
                libeigen3-dev (>= 3.3~alpha1-3) [arm64],
                libfftw3-dev,
                libgraphicsmagick++1-dev,
@@ -23,6 +23,7 @@
                libreadline-dev,
                libudunits2-dev,
                libwxgtk3.0-dev,
+               plplot12-driver-xwin,
                pslib-dev,
                python-all-dev,
                python-numpy,
@@ -33,6 +34,23 @@
 Homepage: http://gnudatalanguage.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gnudatalanguage.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/gnudatalanguage.git
+Testsuite: autopkgtest
+
+Package: libgnudatalanguage0
+Architecture: any
+Section: libs
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: gnudatalanguage (<< 0.9.5-7~)
+Replaces: gnudatalanguage (<< 0.9.5-7~)
+Description: Free IDL compatible incremental compiler shared library
+ GNU Data Language (GDL) is a free IDL (Interactive Data Language)
+ compatible incremental compiler. It has full syntax compatibility
+ with IDL 7.1. IDL is a registered trademark of ITT Visual Information
+ Solutions.
+ .
+ This package contains the shared library which is used by the different
+ frontends (gdl binary, Python package).
 
 Package: gnudatalanguage
 Architecture: any
@@ -41,6 +59,43 @@
 Recommends: plplot12-driver-xwin,
             python-numpy
 Description: Free IDL compatible incremental compiler
- GDL is a free IDL (Interactive Data Language) compatible incremental
- compiler. It has full syntax compatibility with IDL 7.1. IDL is a
- registered trademark of ITT Visual Information Solutions.
+ GNU Data Language (GDL) is a free IDL (Interactive Data Language)
+ compatible incremental compiler. It has full syntax compatibility
+ with IDL 7.1. IDL is a registered trademark of ITT Visual Information
+ Solutions. From IDL 8.0, the following language elements are
+ supported:
+ .
+  * FOREACH loop
+  * negative array indices
+  * garbage collection pointers and objects
+  * call methods on an object using "." (e. g. `object.aMemberProcedure,arg1`)
+ .
+ The file input output system is fully implemented. GUI support (widgets) is
+ officially provided, but it's not complete yet.
+ .
+ This package contains the main commandline and interpreter frontend.
+
+Package: python-gdl
+Architecture: any
+Section: python
+Depends: python,
+         python-numpy,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: plplot12-driver-xwin
+Description: Python interface for the GNU Data Language
+ GNU Data Language (GDL) is a free IDL (Interactive Data Language)
+ compatible incremental compiler. It has full syntax compatibility
+ with IDL 7.1. IDL is a registered trademark of ITT Visual Information
+ Solutions. From IDL 8.0, the following language elements are
+ supported:
+ .
+  * FOREACH loop
+  * negative array indices
+  * garbage collection pointers and objects
+  * call methods on an object using "." (e. g. `object.aMemberProcedure,arg1`)
+ .
+ The file input output system is fully implemented. GUI support (widgets) is
+ officially provided, but it's not complete yet.
+ .
+ This package contains the Python library/interface.
