## gnudatalanguage 0.9.6v2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 project(GDL)
 
 # X.X.X CVS becomes release X.X.X+1
-set(VERSION "0.9.5")
+set(VERSION "0.9.6")
 enable_testing()
 
 include(CheckIncludeFile)
@@ -32,11 +32,7 @@
 #### Default cached values
 set(PYTHON_MODULE OFF CACHE BOOL "GDL: Build GDL as a Python module ?")
 
-if(WIN32 AND NOT CYGWIN)
-	set(X11 OFF CACHE BOOL "GDL: Enable X11 ?") 
-else(WIN32 AND NOT CYGWIN)
-	set(X11 ON CACHE BOOL "GDL: Enable X11 ?") 
-endif(WIN32 AND NOT CYGWIN)
+set(X11 ON CACHE BOOL "GDL: Enable X11 ?") 
 set(X11DIR "" CACHE PATH "GDL: Specify X11 directory tree")
 
 set(READLINE ON CACHE BOOL "GDL: Enable GNU Readline ?")
@@ -67,6 +63,8 @@
 set(GRIB OFF CACHE BOOL "GDL: Enable Grib ?")
 set(GRIBDIR "" CACHE PATH "GDL: Specifiy the GRIB directory tree")
 
+set(QHULL OFF CACHE BOOL "GDL: Enable Qhull ?")
+set(QHULLDIR "" CACHE PATH "GDL: Specifiy the QHULL directory tree")
 
 set(MAGICK ON CACHE BOOL "GDL: Enable ImageMagick ?")
 set(MAGICKDIR "" CACHE PATH "GDL: Specifiy the ImageMagick directory tree")
@@ -100,7 +98,9 @@
 set(GSHHS ON CACHE BOOL "GDL: Enable GSHHS ?")
 set(GSHHSDIR "" CACHE PATH "GDL: Specifiy the GSHHS directory tree")
 
-set(NCURSESDIR "" CACHE PATH "GDL: Specify the ncurses (or curses) directory tree")
+if(NOT WIN32)
+  set(NCURSESDIR "" CACHE PATH "GDL: Specify the ncurses (or curses) directory tree")
+endif(NOT WIN32)
 
 set(OPENMP ON CACHE BOOL "GDL: Enable OpenMP ?")
 
@@ -178,22 +178,8 @@
 #     version of antlr in system-wide directories
 include_directories(src)
 
-if(WIN32 AND NOT CYGWIN)
-	# For Win32 find Pdcureses instead of (N)Curses
-	# -DPDCURSESDIR=DIR
-	set(CMAKE_PREFIX_PATH ${PDCURSESDIR})
-	find_package(Pdcurses)
-	if(PDCURSES_FOUND)
-		set(LIBRARIES ${LIBRARIES} ${PDCURSES_LIBRARIES})
-		include_directories(${PDCURSES_INCLUDE_DIR})
-		set(HAVE_LIBPDCURSES 1)
-	else(PDCURSES_FOUND)
-		message("${PDCURSES_LIBRARIES}\n${PDCURSES_LIBRARY}\n${PDCURSES_INCLUDE_DIR}\n")
-		message(FATAL_ERROR "PDCurses was not found.\n"
-			"Use -DPDCURSESDIR=DIR to specify the curses directory tree.\n")
-	endif(PDCURSES_FOUND)
-else(WIN32 AND NOT CYGWIN)
-	# Ncurses MANDATORY
+if (NOT WIN32)
+	# Ncurses MANDATORY for readline on POSIX
 	# -DNCURSESDIR=DIR
 	set(CMAKE_PREFIX_PATH ${NCURSESDIR})	
 	set(CURSES_NEED_NCURSES TRUE)
@@ -217,18 +203,20 @@
 				"(suitable Debian/Ubuntu package: libncurses-dev)\n")
 		endif(CURSES_FOUND)
 	endif(CURSES_FOUND)
-endif(WIN32 AND NOT CYGWIN)
+endif (NOT WIN32)
 
 # Readline
 # -DREADLINE=ON|OFF
 # -DREADLINEDIR=DIR
 if(READLINE)
-	# readline needs (n)curses
 	set(CMAKE_PREFIX_PATH ${READLINEDIR})
 	find_package(Readline QUIET)
 	set(HAVE_LIBREADLINE ${READLINE_FOUND})
 	if(READLINE_FOUND)
-		set(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARIES})
+    if(NOT WIN32)
+     	# readline needs (n)curses (not on Windows)
+ 		  set(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARIES})
+    endif(NOT WIN32)
 		check_library_exists("${READLINE_LIBRARIES}" rl_get_screen_size "" RL_GET_SCREEN_SIZE)
 		if(NOT RL_GET_SCREEN_SIZE)
 			message(STATUS "WARNING: Older GNU readline without rl_get_screen_size was found.\n"
@@ -287,11 +275,13 @@
 	find_package(OpenMP QUIET)
 	if(OPENMP_FOUND)
 		add_definitions(${OpenMP_CXX_FLAGS})
-		if(WIN32 AND NOT CYGWIN)
+		if(MSVC)
 			set(LIBRARIES ${LIBRARIES} vcomp)
-		else(WIN32 AND NOT CYGWIN)
+		elseif(WIN32)
+      set(LIBRARIES ${LIBRARIES} gomp pthread)
+    else()
 			set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
-		endif(WIN32 AND NOT CYGWIN)
+		endif()
 	endif(OPENMP_FOUND)
 else(OPENMP)
   # we need to define those semaphore posix symbols, do it with threads libs
@@ -345,3 +335,18 @@
 else(PCRE_FOUND)
 	message(FATAL_ERROR "pcre library is required but was not found.\n"
 	"Use -DPCREDIR=DIR to specify the pcre directory tree.")
+endif(PCRE_FOUND)
+LINK_LIBRARIES(shlwapi)
+endif(WIN32 AND NOT CYGWIN)
+
+# PLplot MANDATORY
+# -DOLDPLPLOT=ON|OFF
+# -DPLPLOTDIR=DIR
+set(HAVE_OLDPLPLOT ${OLDPLPLOT})
+set(CMAKE_PREFIX_PATH ${PLPLOTDIR})
+find_package(Plplot QUIET)
+set(HAVE_LIBPLPLOTCXXD ${PLPLOT_FOUND})
+if(PLPLOT_FOUND)
+	set(LIBRARIES ${LIBRARIES} ${PLPLOT_LIBRARIES})
+	include_directories(${PLPLOT_INCLUDE_DIR})
+else(PLPLOT_FOUND)
