=== src/CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,8 @@
 devicesvg.hpp
 devicez.hpp
 dimension.hpp
+dialog.cpp
+dialog.hpp
 dinterpreter.cpp
 dinterpreter.hpp
 dnode.cpp
@@ -130,7 +132,6 @@
 gdlwidget.cpp
 gdlwidgeteventhandler.cpp
 gdlwidget.hpp
-gdlwidgetdraw.cpp
 gdlwxstream.cpp
 gdlwxstream.hpp
 gdlzstream.cpp
@@ -169,6 +170,8 @@
 io.cpp
 io.hpp
 lapack.cpp
+least_squares.cpp
+least_squares.hpp
 libinit.cpp
 libinit_ac.cpp
 libinit_cl.cpp
@@ -176,6 +179,7 @@
 libinit_jmg.cpp
 libinit_mes.cpp
 libinit_ng.cpp
+libinit_jp.cpp
 list.cpp
 list.hpp
 magick_cl.cpp
@@ -246,8 +250,8 @@
 semshm.hpp
 sigfpehandler.cpp
 sigfpehandler.hpp
-smooth.cpp
-smooth.hpp
+#smooth.cpp
+#smooth.hpp
 specializations.hpp
 str.cpp
 str.hpp
