=== debian/changelog ===
gnudatalanguage (0.9.6v2-1build1) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:07:52 +0000

gnudatalanguage (0.9.6v2-1) unstable; urgency=medium

  [ Axel Beckert ]
  * New upstream tar ball with partially re-added documentation.
    + Drop debian/gdl.1 and reactivate installation of upstream man pages.
    + Use patch against doc/gdl.1 instead of direct changes to
      debian/gdl.1.
  * Remove b-d on chrpath which is no more needed since 0.9.6-1.
  * Update watch file to also recognize short .tgz suffixes and xz
    compression.

  [ Ole Streicher ]
  * Fix includes for antlr instead of removing antlr subdir in d/rules
  * Build-depend on python-dev instead of python-all-dev: we currently
    build only for the most recent Python 2.x version and not for all.
  * Use default settings for Python library search; the multiarch patch
    is not needed anymore.

 -- Axel Beckert <abe@debian.org>  Mon, 11 Jan 2016 20:53:52 +0100
