=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
            Ole Streicher <olebole@debian.org>
 Section: interpreters
 Priority: extra
-Build-Depends: chrpath,
-               cmake,
+Build-Depends: cmake,
                debhelper (>= 9~),
                dpkg-dev (>= 1.16.1~),
                libantlr-dev,
@@ -25,7 +24,7 @@
                libwxgtk3.0-dev,
                plplot12-driver-xwin,
                pslib-dev,
-               python-all-dev,
+               python-dev,
                python-numpy,
                xauth,
                xvfb,
