=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,7 @@
 	dh $@ --parallel -Scmake
 
 override_dh_auto_configure:
-	# Patched source FTBFS if this embedded code copy is present
-	tar cf antlr.tar src/antlr
-	rm -rf src/antlr
-
 	dh_auto_configure -- \
-	  -DPYTHONDIR=/usr \
-	  -DPYTHONVERSION=2.7 \
 	  -DDEB_BUILD_MULTIARCH=`dpkg-architecture -qDEB_BUILD_MULTIARCH` \
 	  -DFFTW=YES \
 	  -DPYTHON=YES \
@@ -30,11 +24,6 @@
 	&& $(CC) -o launchtest ../../testsuite/launchtest.c )
 	LD_LIBRARY_PATH="../src" xvfb-run dh_auto_test --no-parallel -Scmake || true
 
-override_dh_auto_clean:
-	if [ -f  antlr.tar ]; then tar xf antlr.tar; fi
-	rm -f antlr.tar
-	dh_auto_clean --parallel
-
 override_dh_compress:
 	dh_compress -X.pro
