=== debian/tests/control ===
Tests: test-gdl
Depends: gnudatalanguage, xauth, xvfb, plplot12-driver-xwin

Tests: test-GDL.py
Depends: python-gdl, python-pytest
